Tengo una rutina que no me va bien!

Quiero dibujar ángulos de lados iguales.
(defun c:angulo ()
(setq base (getpoint "punto base del angulo: "))
(terpri)
(setq l1 (getreal "distancia de los lados del angulo: "))
(terpri)
(setq esp (getreal "espesor del angulo: "))
(terpri)
(setq ang0 0)
(setq ang90 (/ (* 90 (* 2 pi)) 360))
(setq ang180 (/ (* 180 (* 2 pi)) 360))
(setq ang270 (/ (* 270 (* 2 pi)) 360))
(setq l2 (- l1 esp))
(setq p1 (polar base ang0 l1))
(setq p2 (polar p1 ang90 esp))
(setq p3 (polar p2 ang180 l2))
(setq p4 (polar p3 ang90 l2))
(setq p5 (polar p4 ang180 esp))
(command "_pline" base p1 p2 p3 p4 p5 base "")
)
Me parece correcto pero no se...
En un futuro le intentare poner un cuadro de dialogo.
¿Me puedes ayudar a repararla?
Gracias por tus respuestas!
Saludos
1

1 Respuesta

32.000 pts.
Por lo que veo estas haciendo una rutina para perfiles de acero...
Mira, si quieres, te puedo mandar una rutina que tengo para hacer diferentes perfiles en AutoCAD, ya sean L, H, I, etc...
La rutina esta hecha con DCL, ademas de servirte para los perfiles puedes ver la estructura del lsp y dcl para que te vallas familiarizando con el lenguaje DCL...
Si quieres la rutina mandame un email a eliasunoARROBAhotmail.com (ARROBA = @)...
No te pongo la rutina acá por que es algo extensa...
Y cualquier cosa estoy a tu disposición...

Añade tu respuesta

Haz clic para o

Más respuestas relacionadas